petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceType

String with the name of a PETSc dual space

### Synopsis

    typedef const char *PetscDualSpaceType;
    #define PETSCDUALSPACELAGRANGE "lagrange"
    #define PETSCDUALSPACEBDM      "bdm"
    #define PETSCDUALSPACESIMPLE   "simple"

### See Also

PetscDualSpaceSetType(), PetscDualSpace

### Level

beginner

### Location

src/dm/dt/dualspace/../../../../include/petscfe.h
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages